#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "PhysicsUtilities.generated.h"

class USkeletalMeshComponent;

UCLASS(Blueprintable)
class BHVRPHYSICSUTILITIES_API UPhysicsUtilities : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	static void SetClothPhysicsEnabled(USkeletalMeshComponent* skeletalMeshComponent, bool enabled);

public:
	UPhysicsUtilities();
};

FORCEINLINE uint32 GetTypeHash(const UPhysicsUtilities) { return 0; }
